Skip to main content
GET
/
api
/
decks
/
{deckId}
Get a deck
curl --request GET \
  --url https://app.demand-iq.com/api/decks/{deckId} \
  --cookie session=
{
  "slides": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slideId": "<string>",
      "title": "<string>",
      "bullets": [
        "<string>"
      ],
      "narration_script": "<string>",
      "orderIndex": 123,
      "slideType": "standard",
      "slide_context": "<string>",
      "audio_url": "<string>",
      "hero_img": "<string>",
      "wordTimings": [
        {
          "word": "<string>",
          "startTime": 123,
          "endTime": 123
        }
      ]
    }
  ],
  "faqs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userQuestion": "<string>",
      "cannedAnswer": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "relatedSlideId": "<string>",
      "audioUrl": "<string>",
      "wordTimings": [
        {
          "word": "<string>",
          "startTime": 123,
          "endTime": 123
        }
      ]
    }
  ],
  "branding": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "palette": {
      "primary": "#1a73e8",
      "primaryLight": "#4a9af5",
      "accent": "#fbbc04",
      "neutral": "#5f6368",
      "text": "#202124"
    },
    "cta": {
      "headline": "<string>",
      "body": "<string>",
      "buttonText": "<string>",
      "buttonUrl": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "logo": "<string>",
    "avatar": "<string>",
    "chatName": "<string>",
    "chatGreeting": "<string>"
  },
  "qaSettings": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resumePromptText": "<string>",
    "transitionPromptText": "<string>",
    "resumeAudioUrl": "<string>",
    "resumeVoiceId": "<string>",
    "transitionAudioUrl": "<string>",
    "transitionVoiceId": "<string>"
  },
  "presentationsCount": 123
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Path Parameters

deckId
string<uuid>
required

UUID of the deck

Response

Full deck data

deck
object
slides
object[]
faqs
object[]
branding
object
qaSettings
object
presentationsCount
integer